HibernateDatastore (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate
[Java] Class HibernateDatastore

    java.lang.Object
      org.grails.datastore.mapping.core.AbstractDatastore
          org.codehaus.groovy.grails.orm.hibernate.HibernateDatastore

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware

    public class HibernateDatastore
    extends org.grails.datastore.mapping.core.AbstractDatastore

Datastore implementation that uses a Hibernate SessionFactory underneath.

Authors:
  Graeme Rocher

Since:
  2.0

Constructor Summary
`HibernateDatastore(org.grails.datastore.mapping.model.MappingContext mappingContext, org.hibernate.SessionFactory sessionFactory, groovy.util.ConfigObject config)`

Method Summary
`protected org.grails.datastore.mapping.core.Session` | `createSession(java.util.Map connectionDetails)`
`EventTriggeringInterceptor` | `getEventTriggeringInterceptor()`
`org.hibernate.SessionFactory` | `getSessionFactory()` @return The Hibernate org.hibernate.SessionFactory being used by this datastore instance
`protected boolean` | `registerValidationListener()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`

Methods inherited from class org.grails.datastore.mapping.core.AbstractDatastore
org.grails.datastore.mapping.core.AbstractDatastore#connect(java.util.Map), org.grails.datastore.mapping.core.AbstractDatastore#connect(), org.grails.datastore.mapping.core.AbstractDatastore#destroy(), org.grails.datastore.mapping.core.AbstractDatastore#getMappingContext(), org.grails.datastore.mapping.core.AbstractDatastore#getApplicationEventPublisher(), org.grails.datastore.mapping.core.AbstractDatastore#retrieveSession(java.lang.Class), org.grails.datastore.mapping.core.AbstractDatastore#retrieveSession(), org.grails.datastore.mapping.core.AbstractDatastore#getValidationErrorsMap(), org.grails.datastore.mapping.core.AbstractDatastore#getValidationSkipMap(), org.grails.datastore.mapping.core.AbstractDatastore#setConnectionDetails(java.util.Map), org.grails.datastore.mapping.core.AbstractDatastore#setApplicationContext(org.springframework.context.ConfigurableApplicationContext), org.grails.datastore.mapping.core.AbstractDatastore#getApplicationContext(), org.grails.datastore.mapping.core.AbstractDatastore#getCurrentSession(), org.grails.datastore.mapping.core.AbstractDatastore#skipValidation(java.lang.Object), org.grails.datastore.mapping.core.AbstractDatastore#setSkipValidation(java.lang.Object, boolean), org.grails.datastore.mapping.core.AbstractDatastore#hasCurrentSession(), org.grails.datastore.mapping.core.AbstractDatastore#isSchemaless(), org.grails.datastore.mapping.core.AbstractDatastore#setObjectErrors(java.lang.Object, org.springframework.validation.Errors), org.grails.datastore.mapping.core.AbstractDatastore#getObjectErrors(java.lang.Object), org.grails.datastore.mapping.core.AbstractDatastore#wait(), org.grails.datastore.mapping.core.AbstractDatastore#wait(long, int), org.grails.datastore.mapping.core.AbstractDatastore#wait(long), org.grails.datastore.mapping.core.AbstractDatastore#equals(java.lang.Object), org.grails.datastore.mapping.core.AbstractDatastore#toString(), org.grails.datastore.mapping.core.AbstractDatastore#hashCode(), org.grails.datastore.mapping.core.AbstractDatastore#getClass(), org.grails.datastore.mapping.core.AbstractDatastore#notify(), org.grails.datastore.mapping.core.AbstractDatastore#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### HibernateDatastore

    public HibernateDatastore(org.grails.datastore.mapping.model.MappingContext mappingContext, org.hibernate.SessionFactory sessionFactory, groovy.util.ConfigObject config)

Method Detail

### createSession

    @Override
    protected org.grails.datastore.mapping.core.Session createSession(@SuppressWarnings("hiding") java.util.Map connectionDetails)

### getEventTriggeringInterceptor

    public EventTriggeringInterceptor getEventTriggeringInterceptor()

### getSessionFactory

    public org.hibernate.SessionFactory getSessionFactory()

  Returns:
    The Hibernate org.hibernate.SessionFactory being used by this datastore instance

### registerValidationListener

    protected boolean registerValidationListener() {
    protected boolean registerValidationListener()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

Groovy Documentation